Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Class RemoteXUpdateQueryService

    java.lang.Object
      org.exist.xmldb.RemoteXUpdateQueryService

All Implemented Interfaces:
  Configurable, Service, XUpdateQueryService

public class RemoteXUpdateQueryService
extends java.lang.Object
implements XUpdateQueryService

Field Summary

Fields inherited from interface org.xmldb.api.modules.XUpdateQueryService
`SERVICE_NAME`

Constructor Summary
`RemoteXUpdateQueryService(RemoteCollection parent)`

Method Summary
`java.lang.String` | `getName()` Returns the name associated with the Service instance.
`java.lang.String` | `getProperty(java.lang.String name)` Returns the value of the property identified by `name`.
`java.lang.String` | `getVersion()` Gets the Version attribute of the Service object
`void` | `setCollection(Collection col)` Sets the Collection attribute of the Service object
`void` | `setProperty(java.lang.String name, java.lang.String value)` Sets the property `name` to have the value provided in `value`.
`long` | `update(java.lang.String commands)` Runs a set of XUpdate operations against the collection.
`long` | `updateResource(java.lang.String id, java.lang.String commands)` Runs a set of XUpdate operations against a resource stored in a collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteXUpdateQueryService

    public RemoteXUpdateQueryService(RemoteCollection parent)

Method Detail

### update

    public long update(java.lang.String commands)
                throws XMLDBException

  Description copied from interface: `XUpdateQueryService`
  Runs a set of XUpdate operations against the collection. All selected documents are to be updated and stored back to the repository.

  Specified by:
    `update` in interface `XUpdateQueryService`
  Parameters:
    `commands` - The XUpdate commands to use.
  Returns:
    the number of modified nodes.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### updateResource

    public long updateResource(java.lang.String id,
                               java.lang.String commands)
                        throws XMLDBException

  Description copied from interface: `XUpdateQueryService`
  Runs a set of XUpdate operations against a resource stored in a collection. The resource will be updated in place in the collection.

  Specified by:
    `updateResource` in interface `XUpdateQueryService`
  Parameters:
    `commands` - The XUpdate commands to use.
  Returns:
    the number of modified nodes.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.

  Specified by:
    `getName` in interface `Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object

  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setCollection

    public void setCollection(Collection col)
                       throws XMLDBException

  Description copied from interface: `Service`
  Sets the Collection attribute of the Service object

  Specified by:
    `setCollection` in interface `Service`
  Parameters:
    `col` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws XMLDBException

  Description copied from interface: `Configurable`
  Returns the value of the property identified by `name`.

  Specified by:
    `getProperty` in interface `Configurable`
  Parameters:
    `name` - the name of the property to retrieve.
  Returns:
    the property value or null if no property exists.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws XMLDBException

  Description copied from interface: `Configurable`
  Sets the property `name` to have the value provided in `value`.

  Specified by:
    `setProperty` in interface `Configurable`
  Parameters:
    `name` - the name of the property to set.
    `value` - the value to set for the property.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.